<?php

function char($xmode, $ymode, $zoom, $color, $spacing, $char, $chars, $usegif, $usecss, $cssout = TRUE) {

 $out = '';

 if ($usecss && $cssout) $out = '<style>'."\n";
 if ($usecss && $cssout) $out .= '.utd { background-color:'.$color.'; width:'.$zoom.'px; height:'.$zoom.'px; }'."\n";
 if ($usecss && $cssout) $out .= '.utable { width: '.($xmode*$zoom).'; height:'.($ymode*$zoom).'; }'."\n";
 if ($usecss && $cssout) $out .= '.uimg { width:'.$zoom.'; height:'.$zoom.'; }'."\n";
 if ($usecss && $cssout) $out .= '</style>'."\n";

 if ($usecss) $out .= '<table cellspacing="'.$spacing.'" cellpadding="'.$spacing.'" class="utable">';
 else $out = '<table cellspacing="'.$spacing.'" cellpadding="'.$spacing.'" width="'.($xmode*$zoom).'" height="'.($ymode*$zoom).'">';
 
 $columns = split(' ', $chars[$char]);
 
 foreach ($columns as $column) {
  $out .= '<tr>';
  for ($x = 0; $x <= $xmode; $x++){
   if ($column[$x] == 1){
    if ($usecss) $out .= '<td class="utd">';
    else $out .= '<td bgcolor="'.$color.'" width="'.$zoom.'" height="'.$zoom.'">';

    // usegif generate more code but make the table safe on almost every browser
    if ($usegif) {
     if ($usecss) $out .= '<img src="space.gif" class="uimg" />';
     else $out .= '<img src="space.gif" width="'.$zoom.'" height="'.$zoom.'" />';
    }

    $out .= '</td>';
   } else {
    $out .= '<td></td>';
   }
  }
  $out .= '</tr>';
 }
 
 $out .= '</table>';
 
 return $out;
}

function string($xmode, $ymode, $zoom, $color, $spacing, $chars, $string, $letterspacing, $usegif, $usecss){

 $stringlen = strlen($string);
 $out = '<table cellspacing="'.$spacing.'" cellpadding="'.$spacing.'" width="'.($xmode*$zoom*$stringlen+(($letterspacing*$zoom)*$stringlen)).'" height="'.($ymode*$zoom).'">'; 
 $out .= '<tr>';
 
 for ($i=0; $i < $stringlen; $i++){
  $out .= '<td>';
  $out .= char($xmode, $ymode, $zoom, $color, $spacing, $char = $string[$i], $chars, $usegif, $usecss, ($i==0)?TRUE:FALSE);
  $out .= '</td>';
  $out .= '<td width="'.($letterspacing*$zoom).'">';
  
  // usegif generate more code but make the table safe on almost every browser
  if ($usegif == 1){
   $out .= '<img src="space.gif" width="'.($zoom*$letterspacing).'" height="'.($zoom*$letterspacing).'">';
  }
  
  $out .= '</td>';
 }
 
 $out .= '</tr>';
 $out .= '</table>';
 
 return $out;
 
}

function trim_out($in){
	
 $out = eregi_replace("\n", "", $in);
 
 return $out;
 
}

//echo '<p>debug</p>';
//exit();
//echo $chars[a].'<br>';
//$letter = a;
//echo $chars[$letter].'<br>';
//$columns = split(' ', $chars[$letter]);
//echo $columns.'<br>';
//foreach ($columns as $column){
// echo $column.'<br>';
// for ($x = 0; $x <= 3; $x++){
//  echo $column[$x].'<br>';
// }
//}

?>